org.apache.xml.serializer.dom3

## Class NamespaceSupport

- java.lang.Object
- - org.apache.xml.serializer.dom3.NamespaceSupport

-     public class NamespaceSupport
      extends java.lang.Object

  Namespace support for XML document handlers. This class doesn't perform any error checking and assumes that all strings passed as arguments to methods are unique symbols. The SymbolTable class can be used for this purpose. Derived from org.apache.xerces.util.NamespaceSupport
  Version:
    $Id: NamespaceSupport.java 1225426 2011-12-29 04:13:08Z mrglavas $
  Author:
    Andy Clark, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XML_URI` The XML Namespace ("http://www.w3.org/XML/1998/namespace").
    `static java.lang.String` | `XMLNS_URI` XML Information Set REC all namespace attributes (including those named xmlns, whose [prefix] property has no value) have a namespace URI of http://www.w3.org/2000/xmlns/

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceSupport()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `declarePrefix(java.lang.String prefix, java.lang.String uri)`
    `java.util.Enumeration` | `getAllPrefixes()`
    `java.lang.String` | `getDeclaredPrefixAt(int index)`
    `int` | `getDeclaredPrefixCount()`
    `java.lang.String` | `getPrefix(java.lang.String uri)`
    `java.lang.String` | `getURI(java.lang.String prefix)`
    `void` | `popContext()`
    `void` | `pushContext()`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_URI

          public static final java.lang.String XML_URI

      The XML Namespace ("http://www.w3.org/XML/1998/namespace"). This is the Namespace URI that is automatically mapped to the "xml" prefix.

    - #### XMLNS_URI

          public static final java.lang.String XMLNS_URI

      XML Information Set REC all namespace attributes (including those named xmlns, whose [prefix] property has no value) have a namespace URI of http://www.w3.org/2000/xmlns/

  - ### Constructor Detail

    - #### NamespaceSupport

          public NamespaceSupport()

      Default constructor.

  - ### Method Detail

    - #### reset

          public void reset()

      See Also:
        `org.apache.xerces.xni.NamespaceContext#reset()`

    - #### pushContext

          public void pushContext()

      See Also:
        `org.apache.xerces.xni.NamespaceContext#pushContext()`

    - #### popContext

          public void popContext()

      See Also:
        `org.apache.xerces.xni.NamespaceContext#popContext()`

    - #### declarePrefix

          public boolean declarePrefix(java.lang.String prefix,
                              java.lang.String uri)

      See Also:
        `org.apache.xerces.xni.NamespaceContext#declarePrefix(String, String)`

    - #### getURI

          public java.lang.String getURI(java.lang.String prefix)

      See Also:
        `org.apache.xerces.xni.NamespaceContext#getURI(String)`

    - #### getPrefix

          public java.lang.String getPrefix(java.lang.String uri)

      See Also:
        `org.apache.xerces.xni.NamespaceContext#getPrefix(String)`

    - #### getDeclaredPrefixCount

          public int getDeclaredPrefixCount()

      See Also:
        `org.apache.xerces.xni.NamespaceContext#getDeclaredPrefixCount()`

    - #### getDeclaredPrefixAt

          public java.lang.String getDeclaredPrefixAt(int index)

      See Also:
        `org.apache.xerces.xni.NamespaceContext#getDeclaredPrefixAt(int)`

    - #### getAllPrefixes

          public java.util.Enumeration getAllPrefixes()

      See Also:
        `org.apache.xerces.xni.NamespaceContext#getAllPrefixes()`

Copyright © 2014 Apache XML Project. All Rights Reserved.